Delete a share link
Disables the public link. Copies already opened remain with their owners. Request: DELETE /v1/template-projects/{projectId}/share-link. Scope: templates:update.
DELETE
Disables the public link. Copies already opened remain with their owners.
apiKeyheader
x-api-key<token>projectId*stringMatch
^tproj_[0-9a-hjkmnp-tv-z]{16,24}$Success
application/json- response
deleted*booleanimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.templateShareLinks.delete({
"projectId": "example"
});Example Response
{
"deleted": true
}